Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.util
Class XMLServiceBuilder

    java.lang.Object
      org.codehaus.xfire.util.XMLServiceBuilder

    public class XMLServiceBuilder

extends java.lang.Object

Builds services from an xml configuration file.

Author:
  Dan Diephouse

Constructor Summary
`XMLServiceBuilder(XFire xfire)`

Method Summary
`java.util.Collection` | `buildServices(java.io.InputStream stream)` Returns a collection of SOAP services.
`protected ObjectServiceFactory` | `getAnnotationServiceFactory(java.lang.String annotationType, BindingProvider bindingProvider)`
`java.lang.String` | `getElementValue(org.codehaus.yom.Element root, java.lang.String name, java.lang.String def)`
`protected Handler` | `getHandler(org.codehaus.yom.Element element)`
`protected XFire` | `getXFire()`
`protected BindingProvider` | `loadBindingProvider(java.lang.String bindingProviderName)`
`protected java.lang.Class` | `loadClass(java.lang.String className)` Load a class from the class loader.
`protected Service` | `loadService(org.codehaus.yom.Element service)`
`protected ObjectServiceFactory` | `loadServiceFactory(BindingProvider bindingProvider, java.lang.String serviceFactoryName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLServiceBuilder

    public XMLServiceBuilder(XFire xfire)

Method Detail

### getXFire

    protected XFire getXFire()

### buildServices

    public java.util.Collection buildServices(java.io.InputStream stream)
                                       throws java.lang.Exception

  Returns a collection of SOAP services.

  This method takes an input stream and for each service element builds a SOAP service. The stream is interrogated for the following element values: name, namespace, style, use, serviceClass, implementationClass, bindingProvider, and property (a repeatable element) using attribute 'key'

  Parameters:
    `stream` - A xml-based resource bundle
  Returns:
    Collection A collection of services prescribed in the bundle
  Throws:
    `java.lang.Exception`

### loadService

    protected Service loadService(org.codehaus.yom.Element service)
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### loadServiceFactory

    protected ObjectServiceFactory loadServiceFactory(BindingProvider bindingProvider,
                                                      java.lang.String serviceFactoryName)

### getAnnotationServiceFactory

    protected ObjectServiceFactory getAnnotationServiceFactory(java.lang.String annotationType,
                                                               BindingProvider bindingProvider)
                                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### loadBindingProvider

    protected BindingProvider loadBindingProvider(java.lang.String bindingProviderName)

### getHandler

    protected Handler getHandler(org.codehaus.yom.Element element)
                          throws java.lang.Exception

  Parameters:
    `element` -
  Returns:
  Throws:
    `java.lang.Exception`

### getElementValue

    public java.lang.String getElementValue(org.codehaus.yom.Element root,
                                            java.lang.String name,
                                            java.lang.String def)

### loadClass

    protected java.lang.Class loadClass(java.lang.String className)
                                 throws java.lang.Exception

  Load a class from the class loader.

  Parameters:
    `className` - The name of the class.
  Returns:
    The class.
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.